%define base_name	camlimages
%define name		ocaml-%{base_name}
%define version		2.20
%define release		%mkrel 10

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	LGPL
Summary:	Image processing library for Objective Caml
Group:		Development/Other
URL:		http://pauillac.inria.fr/camlimages
Source:		ftp://ftp.inria.fr/INRIA/caml-light/bazar-ocaml/%{base_name}-2.2.0.tar.bz2
Patch:		ocaml-camlimages-uint16.patch
BuildRequires:	ocaml
BuildRequires:	ocaml-lablgl-devel
BuildRequires:	ocaml-lablgtk2-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description 
CamlImages is an image processing library for Objective Caml

%package devel
Summary:	Image processing library for Objective Caml
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Requires:	ocaml-lablgl-devel
Requires:	ocaml-lablgtk2-devel

%description devel
CamlImages is an image processing library for Objective Caml

%prep
%setup -q -n %{base_name}-2.2
%patch -p0

%build
%configure2_5x \
    --with-lablgl=%{ocaml_sitelib}/lablgl \
    --with-lablgtk2=%{ocaml_sitelib}/lablgtk2
make all opt

%install
rm -rf %{buildroot}
make LIBDIR=%{buildroot}%{ocaml_sitelib}/%{base_name} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Announce CHANGES INSTALL LICENSE README
%dir %{ocaml_sitelib}/%{base_name}
%{ocaml_sitelib}/%{base_name}/*.cmi

%files devel
%defattr(-,root,root)
%{ocaml_sitelib}/%{base_name}/*
%exclude %{ocaml_sitelib}/%{base_name}/*.cmi


%changelog
* Sun Sep 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.20-10mdv2008.0
+ Revision: 78354
- ocaml policy compliance
  more dependencies for devel package

* Tue Jul 03 2007 Pixel <pixel@mandriva.com> 2.20-9mdv2008.0
+ Revision: 47400
- rebuild for ocaml 3.10.0


* Fri Feb 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.20-8mdv2007.0
+ Revision: 125036
- rebuild
- Import ocaml-camlimages

* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.20-7mdv2007.0
- Rebuild

* Thu Apr 27 2006 Pixel <pixel@mandriva.com> 2.20-6mdk
- rebuild for new ocaml

* Mon Jan 23 2006 Pixel <pixel@mandriva.com> 2.20-5mdk
- build require ocaml-lablgtk-devel & ocaml-lablgtk2-devel
- rebuild for new ocaml

* Wed Nov 09 2005 Guillaume Bedot <littletux@mandriva.org> 2.20-4mdk
- rebuilt for ocaml 3.09.0

* Wed Jun 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.20-3mdk 
- rebuild for later ocaml
- drop macros merged into rpm

* Thu Dec 02 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.20-2mdk 
- rebuild for new ocaml

* Wed Dec 01 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.20-1mdk 
- new version

* Mon Nov 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.12-4mdk 
- rebuild

* Sun May 30 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.12-3mdk
- this is a pure devel package
- rpmbuildupate aware

* Wed Apr 07 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.12-2mdk
- enforce versioned dependency on ocaml compiler

* Wed Apr 07 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.12-1mdk
- new version

